Subject: Re: Extended operation errors

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Thu, 10 Aug 2000 13:41:08 -0700

At 01:52 PM 8/10/00 -0600, Jim Sermersheim wrote:
>>I suggest the specification defining the extended operation define
>>additional resultCodes as needed.
> 
>Are you suggesting that the new result codes be returned in the resultCode field of the LDAPResult, or that the extended response provide an alternate field to report them? The former method won't work with 2251 (4.1.10, "If a client receives a result code which is not listed above..."). We could easily fix this in the bis doc.

I'm suggesting that an extended operation "update" 2251 with additional
result codes as needed, no need to add clarification to the bis doc
(except maybe to reserve a set for extension specific use).  As these
resultCodes would be specific to the OID associated with the extended
operation, no collisions will occur, no client not expecting them would
ever see them, and no harm will be caused.

Note, I am NOT suggesting controls extend resultCodes.  As operations
can carry multiple controls, collisions could occur.  These are better
returned in a response control.